Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::FunctionSlot6< R, P1, P2, P3, P4, P5, P6 > Class Template Reference

A slot template for static functions taking six arguments of type P1, P2, P3, P4, P5 and P6, and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::FunctionSlot6< R, P1, P2, P3, P4, P5, P6 >:

List of all members.

## Public Member Functions

- FunctionSlot6 (PF function)
    Construct a new function slot for a static function.
- virtual R call (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5, P6 p6) const
    Calls the function connected to this slot passing it arguments p1, p2, p3, p4, p5 and p6.

## Detailed Description

### template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
class Inti::FunctionSlot6< R, P1, P2, P3, P4, P5, P6 >

A slot template for static functions taking six arguments of type P1, P2, P3, P4, P5 and P6, and returning a value of type R.

## Constructor & Destructor Documentation

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
Inti::FunctionSlot6< R, P1, P2, P3, P4, P5, P6 >::FunctionSlot6 | ( | PF | function | ) | `[inline]`

  | Construct a new function slot for a static function. Parameters:
  function | Static function with the signature R (*PF)(P1, P2, P3, P4, P5).

## Member Function Documentation

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
virtual R Inti::FunctionSlot6< R, P1, P2, P3, P4, P5, P6 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4,
|  | P5 | p5,
|  | P6 | p6
| ) | const`[inline, virtual]`

| Calls the function connected to this slot passing it arguments p1, p2, p3, p4, p5 and p6. Returns: A value of type R returned by the called function. Implements Inti::Slot6< R, P1, P2, P3, P4, P5, P6 >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer